Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::SOAPRequestProperties Class Reference

Inherits Object.

## Public Member Functions
| SOAPRequestProperties ()
| Constructor.
| SOAPRequestProperties (const wchar_t *request_url, const char *request_content, const wchar_t *soap_action, const wchar_t *soap_namespace, const wchar_t *soap_version, const wchar_t *content_type, bool is_encode, bool is_wiredump, const char *request_header, const SOAPAuthenticateInfo &authenticate)
| Constructor, with parameters. More...
| SOAPRequestProperties (const SOAPRequestProperties &request_properties)
| Constructor, with another SOAP request properties object. More...
void | Set (const wchar_t *request_url, const char *request_content, const wchar_t *soap_action, const wchar_t *soap_namespace, const wchar_t *soap_version, const wchar_t *content_type, bool is_encode, bool is_wiredump, const char *request_header, const SOAPAuthenticateInfo &authenticate)
| Set values. More...

## Public Attributes
SOAPAuthenticateInfo | authenticate
| An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.
WString | content_type
| Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
bool | is_encode
| Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
bool | is_wiredump
| Whether to output debug information for SOAP requests and responses, defaults to true.
String | request_content
| An object that specifies the remote procedure name and parameters or the XML message to send.
String | request_header
| An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body.
WString | request_url
| The URL for a SOAP HTTP endpoint.
WString | soap_action
| The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
WString | soap_namespace
| A namespace for the message schema when the request does not use the SOAP Encoding. More...
WString | soap_version
| The version of the SOAP protocol to use when generating the XML Message.

## Detailed Description

This class represents SOAP request properties.

## Constructor & Destructor Documentation

## ◆ SOAPRequestProperties() [1/2]

foxit::SOAPRequestProperties::SOAPRequestProperties | ( | const wchar_t * | request_url,
|  | const char * | request_content,
|  | const wchar_t * | soap_action,
|  | const wchar_t * | soap_namespace,
|  | const wchar_t * | soap_version,
|  | const wchar_t * | content_type,
|  | bool | is_encode,
|  | bool | is_wiredump,
|  | const char * | request_header,
|  | const SOAPAuthenticateInfo & | authenticate
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

## ◆ SOAPRequestProperties() [2/2]

foxit::SOAPRequestProperties::SOAPRequestProperties | ( | const SOAPRequestProperties & | request_properties | ) |
| inline

Constructor, with another SOAP request properties object.

Parameters

  [in] | request_properties | Another SOAP request properties object.

## Member Function Documentation

## ◆ Set()

void foxit::SOAPRequestProperties::Set | ( | const wchar_t * | request_url,
|  | const char * | request_content,
|  | const wchar_t * | soap_action,
|  | const wchar_t * | soap_namespace,
|  | const wchar_t * | soap_version,
|  | const wchar_t * | content_type,
|  | bool | is_encode,
|  | bool | is_wiredump,
|  | const char * | request_header,
|  | const SOAPAuthenticateInfo & | authenticate
| ) |  |
| inline

Set values.

Parameters

  [in] | request_url | The URL for a SOAP HTTP endpoint.
  [in] | request_content | An object that specifies the remote procedure name and parameters or the XML message to send.
  [in] | soap_action | The SOAP action is a URN written to an HTTP header used by firewalls and servers to filter SOAP requests.
  [in] | soap_namespace | A namespace for the message schema when the request does not use the SOAP Encoding.
  [in] | soap_version | The version of the SOAP protocol to use when generating the XML Message.
  [in] | content_type | Allows the HTTP content-type header to be specified. The default is to use the SOAP messaging HTTP content-type.
  [in] | is_encode | Encoded the request using the SOAP Encoding described in the SOAP Specification. Otherwise, the literal encoding is used.
  [in] | is_wiredump | Whether to output debug information for SOAP requests and responses, defaults to true.
  [in] | request_header | An object that specifies a SOAP header to be included with the request. The default is to send a request with only a SOAP Body
  [in] | authenticate | An object that specifies how to handle HTTP authentication or credentials to use for Web Service Security.

Returns
  None.

## Member Data Documentation

## ◆ soap_namespace

WString foxit::SOAPRequestProperties::soap_namespace

A namespace for the message schema when the request does not use the SOAP Encoding.

The default is to omit the schema declaration.